Mail::MtPolicyd::Plugin::PostfixMap(3pm)

NAME
Mail::MtPolicyd::Plugin::PostfixMap - mtpolicyd plugin for accessing a postfix access map

VERSION
version 2.05

SYNOPSIS
  <Plugin whitelist>
    module="PostfixMap"
    db_file="/etc/postfix/whitelist.db"
    match_action=dunno
  </Plugin>

  <Plugin blacklist>
    moduel="PostfixMap"
    db_file="/etc/postfix/blacklist.db"
    match_action="reject you are blacklisted!"
  </Plugin>

DESCRIPTION
Plugin checks the client_address against a postfix hash table.

It will only check if the IP address matches the list. 'OK' or a numerical value will be interpreted as a 'true' value. All other actions or values will be treaded as 'false'.

EXAMPLE TABLE
/etc/postfix/whitelist:

  123.123.123.123 OK
  123.123.122 OK
  123.12 OK
  fe80::250:56ff:fe85:56f5 OK
  fe80::250:56ff:fe83 OK

generate whitelist.db:

  $ postmap whitelist

  PARAMETERS
The module takes the following parameters:

(uc_)enabled (default: "on")
    Could be set to 'off' to deactivate check. Could be used to activate/deactivate check per user.

By default the plugin will do nothing. One of the following actions should be specified:

match_action (default: empty)
    If given this action will be returned to the MTA if the SQL query matched.

not_match_action (default: empty)
    If given this action will be returned to the MTA if the SQL query DID NOT matched.

score (default: empty)
    If given this score will be applied to the session.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991